diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/create.sql
index f2d6560..fdcbf0d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/create.sql
@@ -57,7 +57,7 @@ CREATE TYPE {% if data.schema %}{{ conn|qtIdent(data.schema, data.name) }}{% els
 
 ALTER TYPE {% if data.schema %}{{ conn|qtIdent(data.schema, data.name) }}{% else %}{{ conn|qtIdent(data.name) }}{% endif %}
 
-    OWNER TO {{data.typeowner}};
+    OWNER TO {{ conn|qtIdent(data.typeowner) }};
 {% endif %}
 {###  Type Comments ###}
 {% if data and data.description %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/update.sql
index 3a0a336..d79cb6d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/sql/default/update.sql
@@ -5,7 +5,7 @@
 {# Below will change object owner #}
 {% if data.typeowner and data.typeowner != o_data.typeowner %}
 ALTER TYPE {{ conn|qtIdent(o_data.schema, o_data.name) }}
-    OWNER TO {{ data.typeowner }};
+    OWNER TO {{ conn|qtIdent(data.typeowner) }};
 
 {% endif %}
 {#======================================#}
@@ -154,4 +154,4 @@ ALTER TYPE {% if data.name and data.name != o_data.name %}{{ conn|qtIdent(o_data
 {% else %}{{ conn|qtIdent(o_data.schema, o_data.name) }}
 {% endif %}
     SET SCHEMA {{ conn|qtIdent(data.schema) }};
-{% endif %}
\ No newline at end of file
+{% endif %}
